import socket

def process_text(text):
    return f"<<< {text.upper()} >>>"

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.bind(("0.0.0.0", 11000))
server.listen(1)
print("TCP сервер запущен на порту 11000")

while True:
    conn, addr = server.accept()
    print(f"Подключение от {addr}")
    data = conn.recv(1024)
    if not data:
        break
    text = data.decode()
    response = process_text(text)
    print(f"Получено: {text} | Ответ: {response}")
    conn.sendall(response.encode())
    conn.close()
    if text.upper() == 'EXIT':
        print("Сервер завершает работу.")
        break